import request from '@/utils/request'

export function GetSubscribeRplay() {
    return request({
        url: '/api/mpwechat/reply/subscribe',
        method: 'get',
    })
}

export function SaveSubscribeRplay(data) {
    return request({
        url: '/api/mpwechat/reply/subscribe',
        method: 'put',
        data:data,
    })
}
    
export function GetKeyWordReplys(params) {
    return request({
        url: '/api/mpwechat/reply/kewords',
        method: 'get',
        params:params,
    })
}

export function CreateKeyWordReply(data) {
    return request({
        url: '/api/mpwechat/reply/keword',
        method: 'post',
        data:data,
    })
}
export function EditKeyWordReply(id,data) {
    return request({
        url: '/api/mpwechat/reply/keword?id='+id,
        method: 'put',
        data:data,
    })
}

export function DeleteReplys(data) {
    return request({
        url: '/api/mpwechat/replys',
        method: 'delete',
        data:data,
    })
}
